カテゴリー「android」の記事

Rubotoの最新版を利用する

ruboto 0.8.0 / ruboto core 0.4.7にて。

https://github.com/ruboto/ruboto/wiki/Getting-started-with-Ruboto
に書いてある内容に追加して以下の操作を行う必要がある

1. 「ruboto gen app」実行時にandroidのバージョンを指定を追加

android 2.3なら、「--target android-10」。
android 4.0なら「--target android-15」。
生成される内容が異なるため、--target android-15で生成した後にAndroidManifest.xmlを
書き換えても動かない。

※ あらかじめ、android SDKの各バージョンのインストールは必要


2. Activityに以下のコードを追加

クラスに「include Ruboto::Activity」を追加


3. [任意] ruby 1.9にする

src/org/ruboto/JRubyAdapter.javaのsetUpJRubyに

System.setProperty("jruby.compat.version", "RUBY1_9");

を追加。

※ 不要として削除されているが、ruboto core 0.4.7では記載が無いと1.8.7-p330として動く。
記述すると、1.9.2-p136で動く。
(開発中の0.4.8では、何もしなくてもRUBY1_9になる)

その他のカテゴリー

2016年10月
            1
2 3 4 5 6 7 8
9 10 11 12 13 14 15
16 17 18 19 20 21 22
23 24 25 26 27 28 29
30 31          

ついったー

無料ブログはココログ